<JSB>
    <JSB_DESCRIPTOR NAME="netscape.peas.Cursor" DISPLAYNAME="LiveWire Cursor"
        SHORTDESCRIPTION="LiveWire Database Cursor (server-side)"
        ISHIDDEN ENV="server">

    <JSB_PROPERTY NAME="dbpool" DISPLAYNAME="DBPool" PROPTYPE="JS" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Name of DBPool to use">

    <JSB_PROPERTY NAME="SQL" DISPLAYNAME="SQL Query" ISRUNTIME PROPTYPE="JS-expr" TYPE="SQLQuery"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="SQL query that defines cursor">

    <JSB_PROPERTY NAME="masterCol" DISPLAYNAME="Master Column" ISRUNTIME PROPTYPE="JS" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="column linked to by master query (if any)">

    <JSB_PROPERTY NAME="updatable" DISPLAYNAME="Updatable" ISRUNTIME PROPTYPE="JS" TYPE="boolean"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Specifies if cursor is updatable">

    <JSB_METHOD NAME="close" TYPE="void"> </JSB_METHOD>

    <JSB_METHOD NAME="insertRow" DISPLAYNAME="Insert Row"
        SHORTDESCRIPTION="Insert a new row at the current position"
        TYPE="string">
        <JSB_PARAMETER NAME="tableName" TYPE="string">
    </JSB_METHOD>

    <JSB_METHOD NAME="updateRow" TYPE="string">
        <JSB_PARAMETER NAME="tableName" TYPE="string">
    </JSB_METHOD>

    <JSB_METHOD NAME="deleteRow" TYPE="string">
        <JSB_PARAMETER NAME="tableName" TYPE="string">
    </JSB_METHOD>

    <JSB_METHOD NAME="next" TYPE="boolean"> </JSB_METHOD>

    <JSB_METHOD NAME="columnName" TYPE="string">
        <JSB_PARAMETER NAME="colNumber" TYPE="number">
    </JSB_METHOD>

    <JSB_METHOD NAME="columns" TYPE="Int"> </JSB_METHOD>

    <JSB_CONSTRUCTOR>

function netscape_peas_Cursor(params) {
   if ( (params.updatable == null) || (params.updatable == "") )
      params.updatable = false

   if ( (params.masterCol != null) && (params.masterCol != "") )
      params.SQL = params.SQL + " WHERE " + params.masterCol + " = '" + unescape(request[params.masterCol]) + "'"

   // ----- Server 2.0 -----
   if (server.httpdlwVersion.indexOf("1.0") != -1)
           cursorObj = database.cursor(params.SQL, params.updatable)

   // ----- Server 3.0 -----
   else {
      if (params.dbpool == null) {
         debug("Cursor's DBPool property is null - using generic database object.")
         cursorObj = database.cursor(params.SQL, params.updatable)
      } else {
          pool = project[params.dbpool]
          if (request.connection == null)
             request.connection = pool.connection(pool.id, pool.timeout)
          cursorObj = request.connection.cursor(params.SQL, params.updatable)
          cursorObj.DBConnection = request.connection
      }
   }
   return cursorObj
} // netscape_peas_Cursor

    </JSB_CONSTRUCTOR>
</JSB>