/*
    Copyright (c) 1997 Netscape Communications Corporation, Inc. All Rights Reserved.

    This software is the confidential and proprietary information of Netscape
    Communications Corporation.  ("Confidential Information").  You shall not
    disclose such Confidential Information and shall use it only in
    accordance with the terms of the agreement you entered into with Netscape.

    Netscape makes no representations or warranties about the suitability of
    this software.  Netscape will not be liable for any damages related to using,
    modifying or distributing this software or derivatives thereof.

    This software is provided for example purposes only.

    created: 2/97 cls
 */

package netscape.peas;


import java.beans.SimpleBeanInfo;
import java.beans.BeanDescriptor;
import java.beans.EventSetDescriptor;
import java.beans.MethodDescriptor;
import java.beans.PropertyDescriptor;
import java.beans.BeanInfo;

public class JavaFormBeanInfo extends SimpleBeanInfo  {

    public JavaFormBeanInfo() throws Exception {

        // Publish methods -------------------------------------------------

        _methodDescriptor = new MethodDescriptor[0];

        // Publish properties ----------------------------------------------
        _propertyDescriptor = new PropertyDescriptor[0];


        // Publish events --------------------------------------------------
        _eventSetDescriptor = new EventSetDescriptor[2];
/*
        _eventSetDescriptor[0] = new EventSetDescriptor(
                    Class.forName("netscape.peas.JavaForm"),
                    "propertyChange",
                    Class.forName("java.beans.PropertyChangeListener"),
                    "java.beans.PropertyChange" );
*/
        _eventSetDescriptor[0] = new EventSetDescriptor(
                    Class.forName("netscape.peas.JavaForm"),
                    "java.beans.PropertyChange",
                    Class.forName("java.beans.PropertyChangeListener"),
                    "propertyChange" );

        _eventSetDescriptor[1] = new EventSetDescriptor(
                    Class.forName("netscape.peas.JavaForm"),
                    "netscape.peas.RowChange",
                    Class.forName("netscape.peas.RowChangeListener"),
                    "rowChange" );

        _eventSetDescriptor[1].setInDefaultEventSet( true );

    }

    public BeanDescriptor getBeanDescriptor() {
        try {
            return new BeanDescriptor(Class.forName("netscape.peas.JavaForm"));
        } catch (Exception e) {
            return null;
        }
        //if this ever gets a Customizer, then use other constructor
    }

    public EventSetDescriptor[] getEventSetDescriptors() {
        return _eventSetDescriptor;
    }

    public MethodDescriptor[] getMethodDescriptors() {
        return _methodDescriptor;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        return _propertyDescriptor;
    }

    public BeanInfo[] getAdditionalBeanInfo() {
        return null;
    }

    public int getDefaultEventIndex() {
        return 1;
    }

    public int getDefaultPropertyIndex() {
        return -1;
    }

    //------------------------------------------------
    // member variables


    private EventSetDescriptor[] _eventSetDescriptor;
    private MethodDescriptor[]   _methodDescriptor;
    private PropertyDescriptor[] _propertyDescriptor;


}