/*
    Copyright (c) 1997 Netscape Communications Corporation, Inc. All Rights Reserved.

    This software is the confidential and proprietary information of Netscape
    Communications Corporation.  ("Confidential Information").  You shall not
    disclose such Confidential Information and shall use it only in
    accordance with the terms of the agreement you entered into with Netscape.

    Netscape makes no representations or warranties about the suitability of
    this software.  Netscape will not be liable for any damages related to using,
    modifying or distributing this software or derivatives thereof.

    This software is provided for example purposes only.

    created: 2/97 cls
 */

package netscape.peas;

import java.util.Hashtable;

/**
 * Implementat of the NotifyList interface, to which other
 * classes may delegate.
 */
public class NotifyListSupport implements NotifyList {

    /**
     * default constructor.  don't need delegator (yet)
     */
    public NotifyListSupport() {
    }

    /**
     * Add the given object to this list.
     */
    public void addToVisitedList( Object o ) {
        if ( null == moList ) {
             moList = new Hashtable();
        }
        moList.put( o, o );
    }

    /**
     * Return true if the given object is on this list.
     */
    public boolean isOnVisitedList( Object o ) {
        if ( null == moList ) {
            return false;
        } else {
            return moList.contains( o );
        }
    }


    //-------------------------------------------------------
    // member variables

    private Hashtable moList = null;

}
