<JSB>
    <JSB_DESCRIPTOR NAME="netscape.peas.Sendmail" DISPLAYNAME="SendMail"
        ISHIDDEN ENV="server"
        SHORTDESCRIPTION="Server SendMail Object">

    <JSB_PROPERTY NAME="toAddress" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail address of sender">

    <JSB_PROPERTY NAME="fromAddress" PROPTYPE="JS" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail addresses of recipients (comma separated)">

    <JSB_PROPERTY NAME="cc" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail addresses to which to send copies (comma separated)">

    <JSB_PROPERTY NAME="subject" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Subject of mail message">

    <JSB_PROPERTY NAME="Body" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Body of message">

    <JSB_PROPERTY NAME="Bcc" PROPTYPE="JS-expr" TYPE="Int"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail addresses to which to send blind copies (comma separated)">

    <JSB_PROPERTY NAME="Organization" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Organization name for message header">

    <JSB_PROPERTY NAME="ReplyTo" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail address to reply to (if not sender)">

    <JSB_PROPERTY NAME="SMTPServer" PROPTYPE="JS-expr" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="Name of SMTP server (not required)">

    <JSB_PROPERTY NAME="ErrorsTo" PROPTYPE="JS" TYPE="string"
        READMETHOD="" WRITEMETHOD=""
        SHORTDESCRIPTION="E-mail address to which send errors">

    <JSB_METHOD NAME="send" TYPE="void"> </JSB_METHOD>

    <JSB_METHOD NAME="errorMessage" TYPE="void"></JSB_METHOD>

    <JSB_METHOD NAME="errorCode" TYPE="boolean"></JSB_METHOD>

    <JSB_CONSTRUCTOR>
    // This function uses new ES3.0 syntax (note this does not send email)
    function netscape_peas_SendMail(params) {
        mailObj = new SendMail()
        mailObj.To = params.toAddress
        mailObj.From = params.fromAddress
        mailObj.Cc = params.cc
        mailObj.Subject = params.subject
        mailObj.Body = params.body
        mailObj.Bcc = params.bcc
        mailObj.Organization = params.org
        mailObj.ReplyTo = params.replyTo
        mailObj.SMTPServer = params.SMTPServer
        mailObj.ErrorsTo = params.errorsTo
        mailObj.id = params.id
        return mailObj
    }
    </JSB_CONSTRUCTOR>
</JSB>