/*
    Copyright (c) 1997 Netscape Communications Corporation, Inc. All Rights Reserved.

    This software is the confidential and proprietary information of Netscape
    Communications Corporation.  ("Confidential Information").  You shall not
    disclose such Confidential Information and shall use it only in
    accordance with the terms of the agreement you entered into with Netscape.

    Netscape makes no representations or warranties about the suitability of
    this software.  Netscape will not be liable for any damages related to using,
    modifying or distributing this software or derivatives thereof.

    This software is provided for example purposes only.

    created: 2/97 kds
 */

package netscape.peas;

//
//  StatusBar.java
//
import java.awt.Graphics;
import java.awt.Font;
import java.awt.Color;

public class StatusBar extends java.applet.Applet
{
    public StatusBar() {
    }

    public void init() {
        super.init();
    }

    public void setPercent(int percent)
    {
        percentSet = percent;
        System.out.println("Percent Done: " + percentSet);
        repaint();
    }

    public int getPercent()
    {
        return percentSet;
    }

    /**
     *
     * This method can be called by another applet when it is done loading.
     * The effect is that the text changes to "RUNNING!!".
     *
     */
    public void done()
    {
        current_string = bl;
    }

    /**
     *
     * This method to draws the current string (Loading... or RUNNING!!)
     * and the status bar...You shouldn't call this directly...If you want to
     * refresh the display call repaint().
     *
     */
    public void paint(Graphics g)
    {
        setBackground(Color.white);
        g.setFont(theFont);
        g.setColor(Color.red);
        g.drawString(current_string + percentSet+"%" ,0,14);
        g.setFont(theSmallFont);
        g.setColor(Color.blue);
        g.fillRect(0,20,percentSet, 17);
    }

    private Font theFont      = new Font("TimesRoman",Font.BOLD,17);
    private Font theSmallFont = new Font("TimesRoman",Font.BOLD,12);
    static final String s1 = "Loading ";
    static final String bl = "RUNNING!!   ";
    private String current_string = s1;
    private int    percentSet = 0;

}







