/*
    Copyright (c) 1997 Netscape Communications Corporation, Inc. All Rights Reserved.

    This software is the confidential and proprietary information of Netscape
    Communications Corporation.  ("Confidential Information").  You shall not
    disclose such Confidential Information and shall use it only in
    accordance with the terms of the agreement you entered into with Netscape.

    Netscape makes no representations or warranties about the suitability of
    this software.  Netscape will not be liable for any damages related to using,
    modifying or distributing this software or derivatives thereof.

    This software is provided for example purposes only.

    created: 2/97 rm cls
 */

package netscape.peas;

import netscape.application.TextField;
import netscape.application.Target;


/**
 * GridView implements a very basic IFC based table control.  A very limited set
 * of methods are provided for getting and column information, values and rows of values.
 */
public class GridTextField extends TextField { 

    /**
     * Construct a GridView which sends event notifications to the specified Target.
     */
    public GridTextField() {
        super();
    }
    
    public void startFocus() {
        super.startFocus();
        Target t = target();
        if ( null != t ) {
            t.performCommand( "startFocus", this );
        }
    }
    
 } //GridTextField
