package netscape.peas;

/**
 * JSOrb is runtime support for JS components to help
 * them make use of the IIOP classes.  This class is
 * used by the CORBA object import routines in
 * Netscape Palomar.
 */
class JSOrb {

    public JSOrb(String objectURL) {
        _orb = org.omg.CORBA.ORB.init();
        _corbaObject = null;  //figure this out
    }

/**
    static public org.omg.CORBA.Request getReq(org.omg.CORBA.Object corbaObject, String name) {
        return corbaObject._request(name);
    }
    static public void reqParamString(org.omg.CORBA.Request req,
                    String name, String value, String type) {
        org.omg.CORBA.Any arg = org.omg.CORBA.Any.create();
        arg.insert_string(value);
        req.arguments().add_value(name, arg, org.omg.CORBA.ARG_IN.value);
    }

    static public Object reqInvoke(org.omg.CORBA.Request req, String type){
        req.invoke();
        if (type.equals("java.lang.String")) {
            return req.result().value().extract_string();
        }
        return null;
    }
**/

    public void setRequest(String name) {
        _request = _corbaObject._request(name);
    }

    public void addParam(String name, Object value, String type) {
        org.omg.CORBA.Any arg = org.omg.CORBA.Any.create();
        if (type.equals("java.lang.String")) {
            arg.insert_string((String)value);
        }
        _request.arguments().add_value(name, arg, org.omg.CORBA.ARG_IN.value);
    }

    public void invoke(String type) {
        _request.invoke();
        org.omg.CORBA.Any result = _request.result().value();
        if (type.equals("java.lang.String")) {
            return result.extract_string();
        }
        return null;
    }

    org.omg.CORBA.ORB     _orb;
    org.omg.CORBA.Object  _corbaObject;
    org.omg.CORBA.Request _request;
}