/*
    Copyright (c) 1997 Netscape Communications Corporation, Inc. All Rights Reserved.

    This software is the confidential and proprietary information of Netscape
    Communications Corporation.  ("Confidential Information").  You shall not
    disclose such Confidential Information and shall use it only in
    accordance with the terms of the agreement you entered into with Netscape.

    Netscape makes no representations or warranties about the suitability of
    this software.  Netscape will not be liable for any damages related to using,
    modifying or distributing this software or derivatives thereof.

    This software is provided for example purposes only.

    created: 2/97 cls
 */

package netscape.peas;




/**
 * Listener interface capable of receiving TableChangeEvent s.  This interface
 * can also receive RowChangeEvent s and PropertyChangeEvent s.  This allows
 * users of Components to wire at the highest level, and still allows the
 * implemenation to send "lower level" events in a consistent manner.
 */
public interface TableChangeListener extends RowChangeListener {

    /**
     * Accept a TableChangeEvent.
     */
    void tableChange( TableChangeEvent oEvent );

} // TableChangeListener
